Package org.apache.storm.metrics2.reporters

## Interface StormReporter

- All Superinterfaces:
    `AutoCloseable`, `Closeable`, `com.codahale.metrics.Reporter`
  All Known Implementing Classes:
    `ConsoleStormReporter`, `CsvStormReporter`, `GraphiteStormReporter`, `JmxStormReporter`, `ScheduledStormReporter`

      public interface StormReporter
      extends com.codahale.metrics.Reporter

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `REPORT_DIMENSIONS_ENABLED` |
    `static String` | `REPORT_PERIOD` |
    `static String` | `REPORT_PERIOD_UNITS` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `prepare​(com.codahale.metrics.MetricRegistry metricsRegistry, Map<String,​Object> topoConf, Map<String,​Object> reporterConf)` | Deprecated.
    `default void` | `prepare​(MetricRegistryProvider metricRegistryProvider, Map<String,​Object> topoConf, Map<String,​Object> reporterConf)` |
    `void` | `start()` |
    `void` | `stop()` |

    - ### Methods inherited from interface java.io.Closeable

      `close`

- - ### Field Detail

    - #### REPORT_PERIOD

          static final String REPORT_PERIOD

      See Also:
        Constant Field Values

    - #### REPORT_PERIOD_UNITS

          static final String REPORT_PERIOD_UNITS

      See Also:
        Constant Field Values

    - #### REPORT_DIMENSIONS_ENABLED

          static final String REPORT_DIMENSIONS_ENABLED

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### prepare

          @Deprecated
          void prepare​(com.codahale.metrics.MetricRegistry metricsRegistry,
                       Map<String,​Object> topoConf,
                       Map<String,​Object> reporterConf)

      Deprecated.

    - #### prepare

          default void prepare​(MetricRegistryProvider metricRegistryProvider,
                               Map<String,​Object> topoConf,
                               Map<String,​Object> reporterConf)

    - #### start

          void start()

    - #### stop

          void stop()